org.jbpm.services.task.audit.impl.model

## Class BAMTaskSummaryImpl

- java.lang.Object
- - org.jbpm.services.task.audit.impl.model.BAMTaskSummaryImpl

- All Implemented Interfaces:
    Serializable

      @Entity
      public class BAMTaskSummaryImpl
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BAMTaskSummaryImpl()`
    `BAMTaskSummaryImpl(long taskId, String name, String status, Date createdDate, String userId, long processInstanceId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `Long` | `getDuration()`
    `Date` | `getEnd()`
    `Date` | `getEndDate()`
    `String` | `getName()`
    `Long` | `getPk()`
    `long` | `getProcessInstanceId()`
    `Date` | `getStartDate()`
    `String` | `getStatus()`
    `long` | `getTaskId()`
    `String` | `getTaskName()`
    `String` | `getUserId()`
    `Integer` | `getVersion()`
    `int` | `hashCode()`
    `void` | `setDuration(Long duration)`
    `void` | `setEnd(Date end)`
    `void` | `setEndDate(Date endDate)`
    `void` | `setName(String name)`
    `void` | `setPk(Long pk)`
    `void` | `setProcessInstanceId(long processInstanceId)`
    `void` | `setStartDate(Date startDate)`
    `void` | `setStatus(String status)`
    `void` | `setTaskId(long taskId)`
    `void` | `setTaskName(String taskName)`
    `void` | `setUserId(String userId)`
    `void` | `setVersion(Integer version)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BAMTaskSummaryImpl

          public BAMTaskSummaryImpl()

    - #### BAMTaskSummaryImpl

          public BAMTaskSummaryImpl(long taskId,
                                    String name,
                                    String status,
                                    Date createdDate,
                                    String userId,
                                    long processInstanceId)

  - ### Method Detail

    - #### getPk

          public Long getPk()

    - #### setPk

          public void setPk(Long pk)

    - #### getEnd

          public Date getEnd()

    - #### setEnd

          public void setEnd(Date end)

    - #### getTaskId

          public long getTaskId()

    - #### setTaskId

          public void setTaskId(long taskId)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getTaskName

          public String getTaskName()

    - #### setTaskName

          public void setTaskName(String taskName)

    - #### getStartDate

          public Date getStartDate()

    - #### setStartDate

          public void setStartDate(Date startDate)

    - #### getEndDate

          public Date getEndDate()

    - #### setEndDate

          public void setEndDate(Date endDate)

    - #### getUserId

          public String getUserId()

    - #### setUserId

          public void setUserId(String userId)

    - #### getDuration

          public Long getDuration()

    - #### setDuration

          public void setDuration(Long duration)

    - #### getStatus

          public String getStatus()

    - #### setStatus

          public void setStatus(String status)

    - #### getProcessInstanceId

          public long getProcessInstanceId()

    - #### setProcessInstanceId

          public void setProcessInstanceId(long processInstanceId)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getVersion

          public Integer getVersion()

    - #### setVersion

          public void setVersion(Integer version)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.